Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.spring
[Java] Class TypeSpecifyableTransactionProxyFactoryBean

    java.lang.Object
      org.springframework.transaction.interceptor.TransactionProxyFactoryBean
          org.codehaus.groovy.grails.commons.spring.TypeSpecifyableTransactionProxyFactoryBean

All Implemented Interfaces:
  FactoryBean

    @SuppressWarnings("serial")
    public class TypeSpecifyableTransactionProxyFactoryBean
    extends TransactionProxyFactoryBean

Allows the type of the underlying object to be specified explicitly. This is used when creating scoped proxies of transactional proxies of services. The scoped proxy needs to know that type of the object before the transactional proxy factory has instantiated the underlying service and is able to determine it's class. This class allows the type to be explicitly specified.

See Also:
  ServicesGrailsPlugin

Constructor Summary
`TypeSpecifyableTransactionProxyFactoryBean(java.lang.Class type)`

Method Summary
`java.lang.Class` | `getObjectType()`

Constructor Detail

### TypeSpecifyableTransactionProxyFactoryBean

    public TypeSpecifyableTransactionProxyFactoryBean(java.lang.Class type)

Method Detail

### getObjectType

    @Override
    public java.lang.Class getObjectType()

Groovy Documentation